Subject: [bug#51241] [PATCH 0/1] gnu: ragel: Fix build of knot on aarch64-linux.

From: Simon South <[email-masked]>
Date: Mon, 20 Dec 2021 17:57:32 -0500

Ludovic Courtès <[email-masked]> writes:
> Could you check whether this is still needed on current master,
> ca. 9b38d9b3b34edb55f7f42b72a611b39e5164cf9f?

Unfortunately yes; Knot is still failing two "yparser" tests in master
(2c469f04a3be) on AArch64.

> ‘guix refresh -l ragel’ reports 5K dependents, so we’d need to apply the
> patch conditionally for aarch64 in a phase, or something along these
> lines.

I can submit a new patch with this change.  Or would it make more sense
to apply the existing patch to the version-1.4.0 branch, since it's
fixing an issue in master?

-- 
Simon South
[email-masked]